/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

#ident	"$Header: slic_wrslave.c 1.3 89/08/07 $"

/* $Log:	slic_wrslave.c,v $
 */

#include <sys/types.h>
#include <sys/param.h>
#include <sys/ufsinode.h>
#include <sys/ufsfilsys.h>
#include <sys/hwparam.h>
#include <sys/slic.h>
#include "saio.h"

/*
 * This calls wrAddr and wrData to write a slave data register.
 */

int
wrslave(destination, reg, data)
unsigned char destination, reg, data;
{
	register int error = 0;

	error = wrAddr(destination, reg);
	if (error)
		return(error);
	error = wrData(destination, data);
	return(error);
}
